local MultiPolyTrailProjectile = import('/lua/sim/defaultprojectiles.lua').MultiPolyTrailProjectile 
local EffectTemplate = import('/lua/EffectTemplates.lua')

local Fire02Projectile = Class(MultiPolyTrailProjectile) {
	PolyTrails = {
	},

	OnCreate = function(self, inWater)
		MultiPolyTrailProjectile.OnCreate(self, inWater)
		army = self:GetArmy()
		projectileChild = self
		#CreateEmitterOnEntity(projectileChild,army,'/effects/emitters/napalm_fire_emit.bp'):ScaleEmitter(0.4) NOT LONG ENOUGH
		
		SetDamageThread = ForkThread(function(self)
			projectileChild.DamageData = {
	            DamageRadius = 1,
	            DamageAmount = 20,
	            DamageType = 'Normal',
	            DamageFriendly = false,
	            MetaImpactAmount = nil,
	            MetaImpactRadius = nil,
	        }
			KillThread(self)
		end)
		CreateEmitterOnEntity(projectileChild,army,'/mods/HawksmodFA/effects/emitters/ch_fire01_emit.bp'):ScaleEmitter(0.5)
		#CreateEmitterOnEntity(projectileChild,army,'/mods/HawksmodFA/effects/emitters/ch_fire02_emit.bp'):ScaleEmitter(0.2)
		#CreateEmitterOnEntity(projectileChild,army,'/mods/HawksmodFA/effects/emitters/testest.bp'):ScaleEmitter(0.7)
	end,
}

ch_wpn_fire02 = Class(Fire02Projectile) {}

TypeClass = ch_wpn_fire02